# Generated from redis-rails-3.2.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name redis-rails

Name: rubygem-%{gem_name}
Version: 3.2.4
Release: 1%{?dist}
Summary: Redis for Ruby on Rails
Group: Development/Languages
License: MIT
URL: https://github.com/jodosha/redis-store/tree/master/redis-rails
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(release)
Requires: ruby(rubygems)
Requires: rubygem(redis-store) => 1.1.0
Requires: rubygem(redis-store) < 1.2
Requires: rubygem(redis-activesupport) => 3.2.3
Requires: rubygem(redis-activesupport) < 3.3
Requires: rubygem(redis-actionpack) => 3.2.3
Requires: rubygem(redis-actionpack) < 3.3
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
Redis for Ruby on Rails


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
#testrb -Ilib test/
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%{gem_spec}
%doc %{gem_instdir}/MIT-LICENSE
%exclude %{gem_instdir}/.*
%exclude %{gem_cache}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_instdir}/test/
%{gem_instdir}/%{gem_name}.gemspec

%changelog
* Mon Sep 23 2013 Axilleas Pipinellis <axilleaspi@ymail.com> - 3.2.4-1
- Update to 3.2.4

* Sat Aug 10 2013 Axilleas Pipinellis <axilleaspi@ymail.com> - 3.2.3-1
- Initial package
